const requestPromise = require('request-promise');

const request = function (json, retry = 3, interval = 2) {

    console.debug('tentativa: ' + retry);

    return new Promise((resolve, reject) => {

        requestPromise(json).then((response) => {

            if (isRequestSuccess(response.statusCode)) {

                return resolve(response);

            } else {

                if (retry <= 1) {

                    return reject(response);

                } else {

                    setTimeout(() => {

                        return resolve(request(json, retry - 1));

                    }, (interval * 1000));

                }

            }

        }, (err) => {

            if (retry <= 1) {

                return reject(err);

            } else {

                setTimeout(() => {

                    return resolve(request(json, retry - 1));

                }, (interval * 1000));

            }

        });

    });
}

const isRequestSuccess = function (httpStatus) {

    if (httpStatus >= 200 && httpStatus < 300) {

        return true;

    } else {

        return false;

    }
}

module.exports = {
    request: request
};